## ipwatchd 1.2

=== src/Makefile ===
# IPwatchD - IP conflict detection tool for Linux
# Copyright (C) 2007-2010 Jaroslav Imrich <jariq(at)jariq(dot)sk>

CC= gcc
CFLAGS= -Wall -O2
LIBS= -lpcap -lnet

all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o
	$(CC) $(CFLAGS) analyse.o config.o daemonize.o devinfo.o genarp.o \
	ipwatchd.o message.o signal.o -o ipwatchd $(LIBS)


analyse.o: analyse.c ipwatchd.h
	$(CC) $(CFLAGS) -c analyse.c -o analyse.o

config.o: config.c ipwatchd.h
	$(CC) $(CFLAGS) -c config.c -o config.o

daemonize.o: daemonize.c ipwatchd.h
	$(CC) $(CFLAGS) -c daemonize.c -o daemonize.o

devinfo.o: devinfo.c ipwatchd.h
	$(CC) $(CFLAGS) -c devinfo.c -o devinfo.o

genarp.o: genarp.c ipwatchd.h
	$(CC) $(CFLAGS) -c genarp.c -o genarp.o

ipwatchd.o: ipwatchd.c ipwatchd.h
	$(CC) $(CFLAGS) -c ipwatchd.c -o ipwatchd.o

message.o: message.c ipwatchd.h
	$(CC) $(CFLAGS) -c message.c -o message.o

signal.o: signal.c ipwatchd.h
	$(CC) $(CFLAGS) -c signal.c -o signal.o


clean:
	-rm -f *.o

distclean: clean
	-rm -f ipwatchd


install:
	mkdir -p $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man8
	cp ipwatchd $(DESTDIR)/usr/sbin
	cp scripts/ipwatchd-script $(DESTDIR)/usr/sbin
	cp scripts/ipwatchd $(DESTDIR)/etc/init.d
	cp ipwatchd.conf $(DESTDIR)/etc
	cp ../doc/ipwatchd.8.gz $(DESTDIR)/usr/share/man/man8

uninstall:
	rm -f $(DESTDIR)/usr/sbin/ipwatchd
	rm -f $(DESTDIR)/usr/sbin/ipwatchd-script
	rm -f $(DESTDIR)/etc/init.d/ipwatchd
	rm -f $(DESTDIR)/etc/ipwatchd.conf
	rm -f $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz

## ipwatchd 1.2.1

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Copyright (C) 2007-2010 Jaroslav Imrich <jariq(at)jariq(dot)sk>
 
 CC= gcc
-CFLAGS= -Wall -O2
+CFLAGS= -g -Wall -O2
 LIBS= -lpcap -lnet
 
 all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o
@@ -36,26 +36,32 @@
 
 
 clean:
-	-rm -f *.o
+	-rm *.o
 
 distclean: clean
-	-rm -f ipwatchd
+	-rm ipwatchd
 
 
 install:
-	mkdir -p $(DESTDIR)/etc
+	mkdir -p $(DESTDIR)/etc/init.d
 	mkdir -p $(DESTDIR)/usr/sbin
 	mkdir -p $(DESTDIR)/usr/share/man/man8
+	mkdir -p $(DESTDIR)/usr/share/man/man5
+	mkdir -p $(DESTDIR)/usr/share/man/man1
 	cp ipwatchd $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd-script $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd $(DESTDIR)/etc/init.d
 	cp ipwatchd.conf $(DESTDIR)/etc
 	cp ../doc/ipwatchd.8.gz $(DESTDIR)/usr/share/man/man8
+	cp ../doc/ipwatchd.conf.5.gz $(DESTDIR)/usr/share/man/man5
+	cp ../doc/ipwatchd-script.1.gz $(DESTDIR)/usr/share/man/man1
 
 uninstall:
-	rm -f $(DESTDIR)/usr/sbin/ipwatchd
-	rm -f $(DESTDIR)/usr/sbin/ipwatchd-script
-	rm -f $(DESTDIR)/etc/init.d/ipwatchd
-	rm -f $(DESTDIR)/etc/ipwatchd.conf
-	rm -f $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz
+	rm $(DESTDIR)/usr/sbin/ipwatchd
+	rm $(DESTDIR)/usr/sbin/ipwatchd-script
+	rm $(DESTDIR)/etc/init.d/ipwatchd
+	rm $(DESTDIR)/etc/ipwatchd.conf
+	rm $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz
+	rm $(DESTDIR)/usr/share/man/man5/ipwatchd.conf.5.gz
+	rm $(DESTDIR)/usr/share/man/man1/ipwatchd-script.1.gz

=== debian/changelog ===
ipwatchd (1.2.1-1) unstable; urgency=low

  * Updated to upstream release 1.2.1
  * Changed architecture to linux-any

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 24 Jul 2011 20:50:05 +0200

ipwatchd (1.2-2) unstable; urgency=low

  * Added manpage ipwatchd-script(1)
  * Added manpage ipwatchd.conf(5)
  * Updated upstream manpage ipwatchd(8)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 28 Feb 2010 09:34:04 +0100

ipwatchd (1.2-1) unstable; urgency=low

  * Initial release (Closes: #569779)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sat, 20 Feb 2010 13:46:11 +0100

=== debian/control ===
Source: ipwatchd
Section: net
Priority: optional
Maintainer: Jaroslav Imrich <jariq@jariq.sk>
Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev
Standards-Version: 3.9.2
Homepage: http://ipwatchd.sf.net

Package: ipwatchd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ipwatchd-gnotify
Description: IP conflict detection tool
 IPwatchD is a simple daemon that analyses all incoming ARP packets in order
 to detect IP conflicts on Linux. It can be configured to listen on one or
 more interfaces (alias interfaces are also supported) in active or passive
 mode. In active mode IPwatchD protects your host before IP takeover by
 answering Gratuitous ARP requests received from conflicting system.
 In passive mode it just records information about conflict through standard
 syslog interface.

=== debian/watch ===
version=3

http://sf.net/ipwatchd/ipwatchd-(\d+.*)\.tar\.gz

## ipwatchd 1.2.2

=== src/Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 
 CC= gcc
 CFLAGS= -g -Wall -O2
-LIBS= -lpcap -lnet
+LIBS= -lpcap -lnet  $(shell pkg-config --libs dbus-1)
+override CFLAGS +=  $(shell pkg-config --cflags dbus-1)
 
-all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o
+all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o dbus.o utils.o
 	$(CC) $(CFLAGS) analyse.o config.o daemonize.o devinfo.o genarp.o \
-	ipwatchd.o message.o signal.o -o ipwatchd $(LIBS)
+	ipwatchd.o message.o signal.o dbus.o utils.o -o ipwatchd $(LIBS)
 
 
 analyse.o: analyse.c ipwatchd.h
@@ -34,6 +35,11 @@
 signal.o: signal.c ipwatchd.h
 	$(CC) $(CFLAGS) -c signal.c -o signal.o
 
+dbus.o: dbus.c ipwatchd.h
+	$(CC) $(CFLAGS) -c dbus.c -o dbus.o
+
+utils.o: utils.c ipwatchd.h
+	$(CC) $(CFLAGS) -c utils.c -o utils.o
 
 clean:
 	-rm *.o
@@ -48,13 +54,18 @@
 	mkdir -p $(DESTDIR)/usr/share/man/man8
 	mkdir -p $(DESTDIR)/usr/share/man/man5
 	mkdir -p $(DESTDIR)/usr/share/man/man1
+	mkdir -p ${DESTDIR}/usr/share/dbus-1/system.d
 	cp ipwatchd $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd-script $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd $(DESTDIR)/etc/init.d
 	cp ipwatchd.conf $(DESTDIR)/etc
+	cp misc/conf/*.conf ${DESTDIR}/usr/share/dbus-1/system.d/
+	cp -r misc/system-services ${DESTDIR}/usr/share/dbus-1/
 	cp ../doc/ipwatchd.8.gz $(DESTDIR)/usr/share/man/man8
 	cp ../doc/ipwatchd.conf.5.gz $(DESTDIR)/usr/share/man/man5
 	cp ../doc/ipwatchd-script.1.gz $(DESTDIR)/usr/share/man/man1
+
+
 
 uninstall:
 	rm $(DESTDIR)/usr/sbin/ipwatchd
@@ -64,4 +75,3 @@
 	rm $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz
 	rm $(DESTDIR)/usr/share/man/man5/ipwatchd.conf.5.gz
 	rm $(DESTDIR)/usr/share/man/man1/ipwatchd-script.1.gz
-

=== debian/changelog ===
ipwatchd (1.2.2-1) unstable; urgency=medium

  * update

 -- Jaroslav Imrich <jariq@jariq.sk>  Thu, 25 Nov 2021 21:09:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Jaroslav Imrich <jariq@jariq.sk>
-Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev
+Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev, libdbus-1-dev
 Standards-Version: 3.9.2
 Homepage: http://ipwatchd.sf.net
 
 Package: ipwatchd
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Suggests: ipwatchd-gnotify
 Description: IP conflict detection tool
  IPwatchD is a simple daemon that analyses all incoming ARP packets in order

## ipwatchd 1.3.0

=== src/Makefile ===
# IPwatchD - IP conflict detection tool for Linux
# Copyright (C) 2007-2018 Jaroslav Imrich <jariq(at)jariq(dot)sk>

CC= gcc
CFLAGS= -g -Wall -O2
LIBS= -lpcap -lnet

all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o
	$(CC) $(CFLAGS) $(LDFLAGS) analyse.o config.o daemonize.o devinfo.o genarp.o \
	ipwatchd.o message.o signal.o -o ipwatchd $(LIBS)


analyse.o: analyse.c ipwatchd.h
	$(CC) $(CFLAGS) -c analyse.c -o analyse.o

config.o: config.c ipwatchd.h
	$(CC) $(CFLAGS) -c config.c -o config.o

daemonize.o: daemonize.c ipwatchd.h
	$(CC) $(CFLAGS) -c daemonize.c -o daemonize.o

devinfo.o: devinfo.c ipwatchd.h
	$(CC) $(CFLAGS) -c devinfo.c -o devinfo.o

genarp.o: genarp.c ipwatchd.h
	$(CC) $(CFLAGS) -c genarp.c -o genarp.o

ipwatchd.o: ipwatchd.c ipwatchd.h
	$(CC) $(CFLAGS) -c ipwatchd.c -o ipwatchd.o

message.o: message.c ipwatchd.h
	$(CC) $(CFLAGS) -c message.c -o message.o

signal.o: signal.c ipwatchd.h
	$(CC) $(CFLAGS) -c signal.c -o signal.o


clean:
	-rm *.o

distclean: clean
	-rm ipwatchd


install:
	mkdir -p $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/lib/systemd/system
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man8
	mkdir -p $(DESTDIR)/usr/share/man/man5
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp ipwatchd $(DESTDIR)/usr/sbin
	cp ipwatchd-script $(DESTDIR)/usr/sbin
	cp ipwatchd.service $(DESTDIR)/lib/systemd/system
	cp ipwatchd.conf $(DESTDIR)/etc
	cp ../doc/ipwatchd.8.gz $(DESTDIR)/usr/share/man/man8
	cp ../doc/ipwatchd.conf.5.gz $(DESTDIR)/usr/share/man/man5
	cp ../doc/ipwatchd-script.1.gz $(DESTDIR)/usr/share/man/man1

uninstall:
	rm $(DESTDIR)/usr/sbin/ipwatchd
	rm $(DESTDIR)/usr/sbin/ipwatchd-script
	rm $(DESTDIR)/lib/systemd/system/ipwatchd.service
	rm $(DESTDIR)/etc/ipwatchd.conf
	rm $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz
	rm $(DESTDIR)/usr/share/man/man5/ipwatchd.conf.5.gz
	rm $(DESTDIR)/usr/share/man/man1/ipwatchd-script.1.gz

=== debian/changelog ===
ipwatchd (1.3.0-1+nmu3build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:08:59 +0000

ipwatchd (1.3.0-1+nmu3) unstable; urgency=medium

  * Add /etc/ipwatchd/user-script support, so that user
    can edit it manually. (Closes: #844728)

 -- YunQiang Su <syq@debian.org>  Sun, 22 Sep 2024 22:02:36 +0800

ipwatchd (1.3.0-1+nmu2) unstable; urgency=medium

  * Bump standard version to 4.7.0.
  * Patch src/Makefile to install system service to output of
    pkgconf --variable systemdsystemunitdir systemd.
     - Closes: #1077038
     - Build depends on systemd-dev, pkgconf.
  * Rewrite debian/rules with debhelper 7 override style.
  * Pre-Depends on ${misc:Pre-Depends} instead of hardcoded
    init-system-helpers (>= 1.66).
  * Refresh patch with -p ab --no-timestamps --no-index. 

 -- YunQiang Su <syq@debian.org>  Sat, 03 Aug 2024 23:10:58 +0800

ipwatchd (1.3.0-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1047927)
    - Fixed minor problems reported by cppcheck
    - Fixed minor typo
    - Fixed support for devices with long names
    - Added support for systemd
    - Added LDFLAGS to Makefile
    - Resolved GCC 8 warnings
    - Deprecated and removed ipwatchd-gnotify
  * Use debhelper-compat 13.
  * Drop suggestion of ipwatchd-gnotify, which doesn't
    exist in unstable now.
  * Ship systemd service file and Pre-Depends on
    init-system-helpers (>= 1.66). Closes: #1039240.
    Also ship sysvinit scripts.
  * Pass hardening CPPFLAGS, CFLAGS, LDFLAGS.
  * Pass CC for cross build. (Closes: #970049)
  * debian/rules: Use distclean instead of clean.
    (Closes: #1047927)

 -- YunQiang Su <syq@debian.org>  Sun, 14 Jul 2024 17:59:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Jaroslav Imrich <jariq@jariq.sk>
-Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev, libdbus-1-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13), libpcap-dev, libnet1-dev, pkgconf, systemd-dev
+Standards-Version: 4.7.0
 Homepage: http://ipwatchd.sf.net
 
 Package: ipwatchd
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
-Suggests: ipwatchd-gnotify
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: IP conflict detection tool
  IPwatchD is a simple daemon that analyses all incoming ARP packets in order
  to detect IP conflicts on Linux. It can be configured to listen on one or

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildtools.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CC
export SYSTEMD_UNITDIR = $(shell pkgconf --variable systemdsystemunitdir systemd)

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C src distclean

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" $(MAKE) -C src

override_dh_auto_install:
	echo $(SYSTEMD_UNITDIR)
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/ipwatchd install

=== debian/watch ===
version=4

https://github.com/jariq/IPwatchD/tags .*/v?(\d.*).tar.gz

## ipwatchd 2.0.2+really1.3.0

=== debian/changelog ===
ipwatchd (2.0.2+really1.3.0-0deepin1) unstable; urgency=medium

  * Fix error changelog
  * New upstream release

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 12 Jul 2024 17:27:17 +0800

ipwatchd (2.0.1-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 Aug 2022 21:58:59 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ipwatchd
 Section: net
 Priority: optional
-Maintainer: Jaroslav Imrich <jariq@jariq.sk>
-Build-Depends: debhelper-compat (= 13), libpcap-dev, libnet1-dev, pkgconf, systemd-dev
-Standards-Version: 4.7.0
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev
+Standards-Version: 3.9.2
 Homepage: http://ipwatchd.sf.net
 
 Package: ipwatchd
 Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: ipwatchd-gnotify
 Description: IP conflict detection tool
  IPwatchD is a simple daemon that analyses all incoming ARP packets in order
  to detect IP conflicts on Linux. It can be configured to listen on one or
